: Class AttributesHelper

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadmin.editors
Class AttributesHelper

    java.lang.Object
      |
      +--org.w3c.jigadm.editors.ResourceHelper
            |
            +--org.w3c.jigadmin.editors.ResourceHelper
                  |
                  +--org.w3c.jigadmin.editors.AttributesHelper

public class AttributesHelper
extends ResourceHelper

The Attributes helper

Field Summary
`protected static java.lang.String` | `COMMIT_L`
`protected static java.lang.String` | `RESET_L`

Fields inherited from class org.w3c.jigadm.editors.ResourceHelper
`rls`

Constructor Summary
`AttributesHelper()` Constructor.

Method Summary
`void` | `clearChanged()` set the current resource to be the original resource (ie: the hasChanged() method must return false now.
`void` | `commitChanges()` Commit changes (if any)
`java.awt.Component` | `getComponent()` Get the AttributeHelper component
`java.lang.String` | `getTitle()` Get the AttributeHelper title
`boolean` | `hasChanged()` tells if the edited resource in the helper has changed
`void` | `initialize(RemoteResourceWrapper r, java.util.Properties pr)` initialize the helper
`void` | `resetChanges()` undo the not-yet-commited changes
`void` | `setMessage(java.lang.String msg)` Set the message of the information Label.

Methods inherited from class org.w3c.jigadmin.editors.ResourceHelper
`errorPopup, msgPopup`

Methods inherited from class org.w3c.jigadm.editors.ResourceHelper
`addResourceListener, getValue, processEvent, removeResourceListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMMIT_L

    protected static final java.lang.String COMMIT_L

### RESET_L

    protected static final java.lang.String RESET_L

Constructor Detail

### AttributesHelper

    public AttributesHelper()

  Constructor.

Method Detail

### setMessage

    public void setMessage(java.lang.String msg)

  Set the message of the information Label.
  Parameters:
    `msg` - the message to display

### commitChanges

    public void commitChanges()
                       throws RemoteAccessException

  Commit changes (if any)
  Throws:
    RemoteAccessException - if a remote access error occurs.

### hasChanged

    public boolean hasChanged()

  tells if the edited resource in the helper has changed
  Returns:
    true if the values changed. to get more informations about what has changed, you can use the three methods below.

### resetChanges

    public void resetChanges()

  undo the not-yet-commited changes

### clearChanged

    public void clearChanged()

  set the current resource to be the original resource (ie: the hasChanged() method must return false now. to do a "fine tuned" reset, use one of the three following method.

### getComponent

    public java.awt.Component getComponent()

  Get the AttributeHelper component
  Overrides:
    getComponent in class ResourceHelper

### getTitle

    public final java.lang.String getTitle()

  Get the AttributeHelper title
  Overrides:
    getTitle in class ResourceHelper

### initialize

    public void initialize(RemoteResourceWrapper r,
                           java.util.Properties pr)
                    throws RemoteAccessException

  initialize the helper
  Parameters:
    `r` - the ResourceWrapper containing the Resource edited with this helper
    `p` - some Properties, used to fine-tune the helper
  Throws:
    RemoteAccessException - if a remote access error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD